MRTG-SENSORS(1)

NAME
mrtg-sensors - Returns data from lm-sensors

SYNOPSIS
mrtg-sensors [-m multiplier] chip label [chip label]

DESCRIPTION
mrtg-sensors uses the lm-sensors library to query various system sensors for information such as temperature, fan speed, etc. The output is written in a form useful as input for the mrtg utility.

Up to two pairs of chips and labels may be specified. The first is used for the incoming data value in mrtg, while the second is used for the outgoing data value. Of course, they need not correspond to incoming or outgoing data, that is merely what mrtg expects.

"chip" is the name of the chip to query, and "label" is the label of the piece of information that should be queried from the given chip. sensors(1) can be used to look up all available chips and labels on your system.

Wildcards may be used in chip names, but only the first matching chip will be queried.

If you use the special name "dummy" as a chip name, nothing will be queried, and a value of zero will be sent to mrtg.

-m is the multiplier to be used in the output. The default multiplier is 1. Note that you may find it more useful to use sensors.conf(5) to set global multipliers for sensors.

EXAMPLES

mrtg-sensors dummy dummy adm9240-\* fan2
    Get the speed of fan #2 from the adm9240 chip.

mrtg-sensors -m 0.5 adm9240-\* fan1 adm9240-\* fan2
    Get the speeds of both fan #1 and fan #2, halfing both.

mrtg-sensors -m 2 dummy dummy adm9240-\* temp
    Get the cpu termerature, and double it.

SEE ALSO
sensors(1)

sensors.conf(5)

AUTHOR
mrtg-sensors was written by Joey 'no pseudo-code' Hess <joeyh@debian.org>.